Please transition libgnomeprint to multi-arch

Bug #1052030 reported by Mark Russell
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
libgnomeprint (Ubuntu)
In Progress
High
Unassigned
Precise
Won't Fix
High
Unassigned

Bug Description

[Impact]

Though the libgnomeprint library has been deprecated for years in favor of gtkprint, it is still needed for some third-party apps such as Lotus Notes.

[Test Case]
Install i386 within amd64 environment.
Verify i386 applications link proper architecture dependent library.

Mark Russell (marrusl)
affects: gnome-vfs (Ubuntu) → libgnomeprint (Ubuntu)
Mark Russell (marrusl)
tags: added: precise
Mark Russell (marrusl)
tags: added: multiarch
Revision history for this message
Mark Russell (marrusl) wrote :

First version of patch. Still needs testing.

Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

The attachment "newlibgnomeprint.debdiff" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Revision history for this message
Adam Stokes (adam-stokes) wrote :

These need a little work. Working with Mark to get these patches into sponsorship state.

Changed in libgnomeprint (Ubuntu):
assignee: nobody → Adam Stokes (adam-stokes)
importance: Undecided → High
Changed in libgnomeprint (Ubuntu Precise):
assignee: nobody → Adam Stokes (adam-stokes)
milestone: none → ubuntu-12.04.2
importance: Undecided → High
Changed in libgnomeprint (Ubuntu):
status: New → In Progress
Changed in libgnomeprint (Ubuntu Precise):
status: New → In Progress
Revision history for this message
Dimitri John Ledkov (xnox) wrote :

This needs fixing in quantal first, before applying to precise.
Unsubscribing sponsors for now.
Subscribe back again where there is patch for quantal.

Colin Watson (cjwatson)
Changed in libgnomeprint (Ubuntu Precise):
milestone: ubuntu-12.04.2 → ubuntu-12.04.3
Changed in libgnomeprint (Ubuntu):
assignee: Adam Stokes (adam-stokes) → nobody
Changed in libgnomeprint (Ubuntu Precise):
assignee: Adam Stokes (adam-stokes) → nobody
Revision history for this message
Steve Langasek (vorlon) wrote :

The Precise Pangolin has reached end of life, so this bug will not be fixed for that release

Changed in libgnomeprint (Ubuntu Precise):
status: In Progress → Won't Fix
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers